package com.kcim.service;

import com.kcim.dao.model.EmpCostType;
import com.kcim.vo.CodeAndNameVO;

import java.util.List;

/**
 * @program: CostAccount
 * @description: 成本人事分类接口
 * @author: Wang.YS
 * @create: 2023-11-02 15:49
 **/

public interface EmpCostTypeService {
    Object getEmpCostType(String empTypeName);

    void addEmpCostType(EmpCostType request);


    void deleteEmpCostType(Integer id);


    void editEmpCostType(EmpCostType request);


    Object getEmpCostTypeDict();

    List<CodeAndNameVO> getItemDict();
}
